<?php
/*
	file: SimpleCounterConfig.php
	A simple web-counter in php using a mysql-database.
	Copyright (C) 2005 Alexander Mueller
	You can obtain this and other scripts at http://www.EvoComp.de/scripts/skripte.html

	This program is distributed in the hope that it will be useful,
	but without any warranty, expressed or implied.

	Please visit our website: http://www.EvoComp.de
*/

	if (isset ($_POST['internal']))
	{
		if ($_POST['internal'] == "no")
			setcookie ("CountInternalUsers", "no", time () + 10 * 365 * 24 * 60 * 60, "/");
		else
			setcookie ("CountInternalUsers", "yes", time () + 10 * 365 * 24 * 60 * 60, "/");
	}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<title>Configurate the SimpleCounter</title>
		<meta name="author" content="Alexander M&uuml;ller">
		<meta http-equiv="content-type" content="text/html; charset=iso-8859-1">
	</head>
<body
	<div style="float:left;width:400px;background-color:#ccc;padding:10px;">
		<h1>Configuration of SimpleCounter</h1>
		<p>
			On this page you can configure your counter.
			This page should be reachable by the internal users only.
			You should protect it by a .htacces file or you may insert a user authentication.
			At the right side you can see the current status of you counter.
		</p>
		<h2>Initialize counter with given values</h2>
		<p>
			In the form below you are able to set the counter to an initial state.
		</p>
		<form method="post">
			<table>
				<tr><td>Start date:</td><td><input name="init_date" type="text" size="10" maxlength="10" value="<?php print date ("Y-m-d"); ?>"> (format: YYYY-MM-DD)</td></tr>
				<tr><td>Visits:</td><td><input name="visit_start" type="text" size="20" maxlength="20" value="0"></td></tr>
				<tr><td>Hits:</td><td><input name="hit_start" type="text" size="20" maxlength="20" value="0"></td></tr>
				<tr colspan="2"><td><input type="submit" value=" Submit "></td></tr>
			</table>
		</form>
		<h2>Internal users</h2>
		<p>
			The next form is for switching on or off counting for internal users.
			Internal users are differenced from other visitors by a cookie, which is set automatically when you change the configuration in the form below.
			<b>Note:</b> This only works if cookies are enabled in your browser configuration!
		</p>
		<form method="post">
			<input type="radio" name="internal" value="no"<?php
				if (!isset ($_POST['internal']))
				{
					if (isset ($_COOKIE['CountInternalUsers']) && $_COOKIE['CountInternalUsers'] == "no")
						print " checked";
				}
				else
					if ($_POST['internal'] == "no")
						print " checked";
			?>> Don`t count internal users<br>
			<input type="radio" name="internal" value="yes"<?php
				if (!isset ($_POST['internal']))
				{
					if ((isset ($_COOKIE['CountInternalUsers']) && $_COOKIE['CountInternalUsers'] == "yes") || !isset ($_COOKIE['CountInternalUsers']))
						print " checked";
				}
				else
					if ($_POST['internal'] == "yes")
						print " checked";
			?>> Count internal users<br>
			<input type="submit" value=" Submit ">
		</form>
		<p style="font-size:0.7em;text-align:right;">&copy; 2005 Alexander M&uuml;ller <a href="http://www.EvoComp.de" title="www.EvoComp.de">www.EvoComp.de</a></p>
	</div>
	<div style="display:inline;">
<?php
	require_once ('SimpleCounter.php');
	$counter = new SimpleCounter ("localhost", "test", "test", "");
	if (isset ($_POST['init_date']) && isset ($_POST['visit_start']) && isset ($_POST['hit_start']))
	{
		if (is_numeric ($_POST['hit_start']) && is_numeric ($_POST['hit_start']))
			$counter->initCounter ($_POST['init_date'], intval ($_POST['visit_start']), intval ($_POST['hit_start']));
	}

	print "<table style=\"margin:60px 10px;\" border=\"1\"><tr colspan=\"2\"><td><b>Counter status</b></td></tr><tr><td>Users online:</td><td align=\"right\">" . $counter->getUsersOnlineCount () . "</td></tr>";
	print "<tr><td>Visits today:</td><td align=\"right\">" . $counter->getTodaysVisitCount () . "</td></tr>";
	print "<tr><td>Hits today:</td><td align=\"right\">" . $counter->getTodaysHitCount () . "</td></tr>";
	print "<tr><td>Counting since:</td><td align=\"right\">" . $counter->getCounterStartDate () . "</td></tr>";
	print "<tr><td>Visits total:</td><td align=\"right\">" . $counter->getTotalVisitCount () . "</td></tr>";
	print "<tr><td>Hits total:</td><td align=\"right\">" . $counter->getTotalHitCount () . "</td></tr></table>";
?>
	</div>
</body>
</html>
